Std Bascule mode édition

From FreeCAD Documentation
Revision as of 18:44, 11 October 2021 by David69 (talk | contribs)
(diff) ← Older revision | Latest revision (diff) | Newer revision → (diff)
Jump to navigation Jump to search
Other languages:
Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎polski • ‎română • ‎čeština • ‎русский • ‎한국어
Arrow-left.svg Page précédente : Std Alignment.svg Alignement
Page suivante : Mode d'édition Std UserEditMode.svg Arrow-right.svg

Std Edit.svg Std Bascule mode édition

Emplacement du menu
Édition → Basculer le mode d'édition
Ateliers
Tous
Raccourci par défaut
Aucun
Introduit dans la version
-
Voir aussi
Std Mode d'édition

Description

La commande Std Bascule mode édition active ou désactive le mode d'édition d'un objet.

Utilisation

  1. Si aucun objet n'est en mode édition : sélectionnez un seul objet.
  2. Sélectionnez l'option Édition → Std Edit.svg Basculer le mode d'édition dans le menu.
  3. Soit le mode d'édition par défaut de l'objet sélectionné est activé, soit le mode d'édition existant est désactivé.

Remarques

  • Certains outils seront désactivés (grisés) dans l'interface utilisateur lorsque le mode d'édition d'un objet est actif.
  • Tous les types d'objets n'ont pas de mode d'édition.
  • La fonctionnalité disponible en mode édition dépend du type d'objet.
  • Le mode d'édition d'un objet peut également être activé en double-cliquant sur l'objet dans la Vue en arborescence. Dans ce cas, le mode d'édition utilisé peut être défini avec la commande Std Mode d'édition.

Script

Voir aussi : FreeCAD Script de base.

Pour activer le mode d'édition d'un objet, utilisez la méthode setEdit de l'objet document. Cette méthode n'est pas disponible si FreeCAD est en mode console.

import FreeCADGui

FreeCADGui.ActiveDocument.setEdit("myObjectName",0)

Le deuxième argument est l'EditMode. Les options suivantes sont disponibles :

enum EditMode {Default = 0,
               Transform,
               Cutting,
               Color,
};

Pour désactiver le mode d'édition d'un objet, utilisez la méthode resetEdit de l'objet document.

import FreeCADGui

FreeCADGui.ActiveDocument.resetEdit()


Arrow-left.svg Page précédente : Std Alignment.svg Alignement
Page suivante : Mode d'édition Std UserEditMode.svg Arrow-right.svg